framework:
  name: 'Model Openness Framework'
  version: '1.0'
  date: '2024-12-15'
release:
  name: Granite-3.1-8B-Instruct
  date: '2025-05-30'
  producer: IBM
  repository: 'https://github.com/ibm-granite/granite-3.1-language-models'
  huggingface: 'https://huggingface.co/ibm-granite/granite-3.1-8b-instruct'
  license:
    distribution:
      name: Apache-2.0
      path: 'https://github.com/ibm-granite/granite-3.1-language-models/blob/main/LICENSE'
  components:
    -
      name: 'Model architecture'
      description: "Well commented code for the model's architecture"
    -
      name: 'Inference code'
      description: 'Code used for running the model to make predictions'
    -
      name: 'Supporting libraries and tools'
      description: "Libraries and tools used in the model's development"
    -
      name: 'Model parameters (Final)'
      description: 'Trained model parameters, weights and biases'
    -
      name: 'Evaluation data'
      description: 'Data used for evaluating the model'
      license: unlicensed
    -
      name: 'Model metadata'
      description: 'Any model metadata including training configuration and optimizer states'
    -
      name: 'Model card'
      description: 'Model details including performance metrics, intended use, and limitations'
    -
      name: 'Technical report'
      description: 'Technical report detailing capabilities and usage instructions for the model'
      component_path: 'https://www.ibm.com/new/announcements/ibm-granite-3-1-powerful-performance-long-context-and-more'
    -
      name: 'Evaluation results'
      description: 'The results from evaluating the model'
